package com.example.steven.iconifyexample;

import android.graphics.drawable.Drawable;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;

//TODO: Be sure to add these import statements
import com.joanzapata.android.iconify.IconDrawable;
import com.joanzapata.android.iconify.Iconify;

public class MainActivity extends AppCompatActivity {
private int count;
    private ImageView imageView;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        count = 0;
        imageView = (ImageView)findViewById(R.id.image);
        Button button = (Button)findViewById(R.id.button);
        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                // Go here to pick colors
                // http://htmlcolorcodes.com/
                // add the hex value to app/res/values/colors.xml
                if(count == 0) {
                    Drawable genderIcon = new IconDrawable(MainActivity.this, Iconify.IconValue.fa_male).
                            colorRes(R.color.colorPrimary).sizeDp(40);
                    imageView.setImageDrawable(genderIcon);
                    count++;
                }
                else
                {
                    count=0;
                    Drawable genderIcon = new IconDrawable(MainActivity.this, Iconify.IconValue.fa_female).
                            colorRes(R.color.colorAccent).sizeDp(40);
                    imageView.setImageDrawable(genderIcon);
                }
            }
        });

    }
}
